reverse_proxy_client_create_with_port
reverse_proxy_client_create_with_service
reverse_proxy_client_free
reverse_proxy_client_set_data_callback
reverse_proxy_client_set_log_callback
reverse_proxy_client_set_status_callback
reverse_proxy_client_start_proxy
reverse_proxy_client_t
reverse_proxy_client_type_t
reverse_proxy_data_cb_t
reverse_proxy_data_direction_t
REVERSE_PROXY_DEFAULT_PORT
reverse_proxy_error_t
reverse_proxy_get_type
reverse_proxy_log_cb_t
reverse_proxy_status_cb_t
reverse_proxy_status_t

## reverse_proxy_client_start_proxy()

LIBIMOBILEDEVICE_API reverse_proxy_error_t reverse_proxy_client_start_proxy | ( | reverse_proxy_client_t | client,
|  | int | control_protocol_version )

Make an initialized reverse proxy client operational, i.e.

start the actual proxy.

Parameters

  client | The reverse proxy client to start.
  control_protocol_version | The control protocol version to use. This is either 1 or 2. Recent devices use 2.

Returns
  REVERSE_PROXY_E_SUCCESS on success, or a REVERSE_PROXY_E_* error code otherwise.